void drawLabels() {
  int gap = 40;
  int labelWidth = 75;
  String labelName = "None";
  
  for (int j = 0; j < numClass; j++) {
    color c = colorBar.get( (int)map(j, 0, numClass, 2, colorBar.width-2), colorBar.height/2 );
    fill(c);
    rect(horMargin/2 + j * (labelWidth + gap), height - verMargin/2, labelWidth, cellWidth / (numClass+1));
    
    fill(0);
    textAlign(LEFT, TOP);
    switch(j) {
      case 0: 
        labelName = "Computer Science";
        break;
      case 1: 
        labelName = "Philosophy";
        break;
      case 2: 
        labelName = "Religion";
        break;
      case 3: 
        labelName = "Social Science";
        break;
      case 4: 
        labelName = "Language";
        break;
      case 5: 
        labelName = "Science";
        break;
      case 6: 
        labelName = "Technology";
        break;
      case 7: 
        labelName = "Arts";
        break;
      case 8: 
        labelName = "Literature";
        break;
      case 9: 
        labelName = "History";
        break;        
    }        
    text(labelName, horMargin/2 + j * (labelWidth + gap), height - verMargin/2.5);    
  }
  
}